Create Enrichment Field Extraction
curl --request POST \
--url https://api.example.com/v1/enrichment-field-extractions \
--header 'Content-Type: application/json' \
--data '
{
"provider_name": "<string>",
"indicator_type": "<string>",
"source_path": "<string>",
"target_key": "<string>",
"value_type": "string",
"description": "<string>"
}
'import requests
url = "https://api.example.com/v1/enrichment-field-extractions"
payload = {
"provider_name": "<string>",
"indicator_type": "<string>",
"source_path": "<string>",
"target_key": "<string>",
"value_type": "string",
"description": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
provider_name: '<string>',
indicator_type: '<string>',
source_path: '<string>',
target_key: '<string>',
value_type: 'string',
description: '<string>'
})
};
fetch('https://api.example.com/v1/enrichment-field-extractions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider_name": "<string>",
"indicator_type": "<string>",
"source_path": "<string>",
"target_key": "<string>",
"value_type": "<string>",
"is_system": true,
"is_active": true,
"description": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"meta": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Field Extractions
Create Field Extraction
POST
/
v1
/
enrichment-field-extractions
Create Enrichment Field Extraction
Body
application/json
Request body for creating an enrichment field extraction.
Provider this extraction belongs to
Required string length:
1 - 100Indicator type: ip, domain, hash_md5, hash_sha1, hash_sha256, url, email, account
Dot-notation path into the raw enrichment response
Minimum string length:
1Key in the extracted dict surfaced to agents
Minimum string length:
1One of: string, int, float, bool, list, dict, any
Human-readable description
⌘I

